Page MenuHomePhabricator

UnresolvedRedirectException "Unresolved redirect to Q…" from WikiPageEntityRevisionLookup.php
Open, NormalPublic

Description

error
PHP Warning: Encountered a UnresolvedRedirectException when trying to load Q60778842 [Called from Wikibase\Client\DataAccess\Scribunto\EntityAccessor::getEntity in /srv/mediawiki/php-1.33.0-wmf.16/extensions/Wikibase/client/includes/DataAccess/Scribunto/EntityAccessor.php at line 153]
Impact

This is causing a fatal error during the rendering of pages, which can abort edits from being saved, and existing pages from being rendered.

Details

Stack Trace
Wikibase\Lib\Store\UnresolvedRedirectException from line 87 of /srv/mediawiki/php-1.25wmf21/extensions/Wikidata/extensions/Wikibase/lib/includes/store/sql/WikiPageEntityRevisionLookup.php: Unresolved redirect to Q12773225
#0 /srv/mediawiki/php-1.25wmf21/extensions/Wikidata/extensions/Wikibase/lib/includes/store/CachingEntityRevisionLookup.php(152): Wikibase\Lib\Store\WikiPageEntityRevisionLookup->getEntityRevision()
#1 /srv/mediawiki/php-1.25wmf21/extensions/Wikidata/extensions/Wikibase/lib/includes/store/CachingEntityRevisionLookup.php(132): Wikibase\Lib\Store\CachingEntityRevisionLookup->fetchEntityRevision()
#2 /srv/mediawiki/php-1.25wmf21/extensions/Wikidata/extensions/Wikibase/lib/includes/store/CachingEntityRevisionLookup.php(152): Wikibase\Lib\Store\CachingEntityRevisionLookup->getEntityRevision()
#3 /srv/mediawiki/php-1.25wmf21/extensions/Wikidata/extensions/Wikibase/lib/includes/store/CachingEntityRevisionLookup.php(132): Wikibase\Lib\Store\CachingEntityRevisionLookup->fetchEntityRevision()
#4 /srv/mediawiki/php-1.25wmf21/extensions/Wikidata/extensions/Wikibase/lib/includes/store/RevisionBasedEntityLookup.php(41): Wikibase\Lib\Store\CachingEntityRevisionLookup->getEntityRevision()
#5 (): Wikibase\Lib\Store\RevisionBasedEntityLookup->getEntity()
#6 /srv/mediawiki/php-1.25wmf21/extensions/Wikidata/extensions/Wikibase/lib/includes/store/EntityRedirectResolvingDecorator.php(79): call_user_func_array()
#7 /srv/mediawiki/php-1.25wmf21/extensions/Wikidata/extensions/Wikibase/lib/includes/store/RedirectResolvingEntityLookup.php(50): Wikibase\Lib\Store\EntityRedirectResolvingDecorator->__call()
#8 /srv/mediawiki/php-1.25wmf21/extensions/Wikidata/extensions/Wikibase/client/includes/scribunto/WikibaseLuaBindings.php(165): Wikibase\Lib\Store\RedirectResolvingEntityLookup->getEntity()
#9 /srv/mediawiki/php-1.25wmf21/extensions/Wikidata/extensions/Wikibase/client/includes/scribunto/Scribunto_LuaWikibaseLibrary.php(273): Wikibase\Client\Scribunto\WikibaseLuaBindings->getSiteLinkPageName()
#10 /srv/mediawiki/php-1.25wmf21/extensions/Scribunto/engines/LuaSandbox/Engine.php(384): Scribunto_LuaWikibaseLibrary->getSiteLinkPageName()
#11 (): Scribunto_LuaSandboxCallback->__call()
#12 /srv/mediawiki/php-1.25wmf21/extensions/Scribunto/engines/LuaSandbox/Engine.php(297): LuaSandboxFunction->call()
#13 /srv/mediawiki/php-1.25wmf21/extensions/Scribunto/engines/LuaCommon/LuaCommon.php(257): Scribunto_LuaSandboxInterpreter->callFunction()
#14 /srv/mediawiki/php-1.25wmf21/extensions/Scribunto/engines/LuaCommon/LuaCommon.php(873): Scribunto_LuaEngine->executeFunctionChunk()
#15 /srv/mediawiki/php-1.25wmf21/extensions/Scribunto/common/Hooks.php(113): Scribunto_LuaModule->invoke()
#16 /srv/mediawiki/php-1.25wmf21/includes/parser/Parser.php(3768): ScribuntoHooks::invokeHook()
#17 /srv/mediawiki/php-1.25wmf21/includes/parser/Parser.php(3502): Parser->callParserFunction()
#18 /srv/mediawiki/php-1.25wmf21/includes/parser/Preprocessor_Hash.php(1094): Parser->braceSubstitution()
#19 /srv/mediawiki/php-1.25wmf21/includes/parser/Parser.php(3644): PPFrame_Hash->expand()
#20 /srv/mediawiki/php-1.25wmf21/includes/parser/Preprocessor_Hash.php(1094): Parser->braceSubstitution()

Event Timeline

aude created this task.Mar 19 2015, 9:46 PM
aude raised the priority of this task from to Needs Triage.
aude updated the task description. (Show Details)
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2015, 9:46 PM
aude added a comment.Mar 19 2015, 9:47 PM

we get these on the repo also:

Wikibase\Lib\Store\UnresolvedRedirectException from line 87 of /srv/mediawiki/php-1.25wmf21/extensions/Wikidata/extensions/Wikibase/lib/includes/store/sql/WikiPageEntityRevisionLookup.php: Unresolved redirect to Q744286
#0 /srv/mediawiki/php-1.25wmf21/extensions/Wikidata/extensions/Wikibase/repo/includes/EditEntity.php(276): Wikibase\Lib\Store\WikiPageEntityRevisionLookup->getEntityRevision()
#1 /srv/mediawiki/php-1.25wmf21/extensions/Wikidata/extensions/Wikibase/repo/includes/EditEntity.php(703): Wikibase\EditEntity->getLatestRevision()
#2 /srv/mediawiki/php-1.25wmf21/extensions/Wikidata/extensions/Wikibase/repo/includes/api/ApiWikibase.php(427): Wikibase\EditEntity->attemptSave()
#3 /srv/mediawiki/php-1.25wmf21/extensions/Wikidata/extensions/Wikibase/repo/includes/api/ModifyEntity.php(374): Wikibase\Api\ApiWikibase->attemptSaveEntity()
#4 /srv/mediawiki/php-1.25wmf21/includes/api/ApiMain.php(1037): Wikibase\Api\ModifyEntity->execute()
#5 /srv/mediawiki/php-1.25wmf21/includes/api/ApiMain.php(394): ApiMain->executeAction()
#6 /srv/mediawiki/php-1.25wmf21/includes/api/ApiMain.php(367): ApiMain->executeActionWithErrorHandling()
#7 /srv/mediawiki/php-1.25wmf21/api.php(84): ApiMain->execute()

Lydia_Pintscher triaged this task as Normal priority.Mar 30 2015, 10:48 AM
aude added a comment.Apr 15 2015, 7:44 AM

this is still happening

aude added a comment.Jun 17 2015, 9:43 AM

and still happens.... :(

/w/api.php Wikibase\Lib\Store\UnresolvedRedirectException from line 88 of /srv/mediawiki/php-1.26wmf9/extensions/Wikidata/extensions/Wikibase/lib/includes/store/sql/WikiPageEntityRevisionLookup.php: Unresolved redirect to Q9220132
#0 /srv/mediawiki/php-1.26wmf9/extensions/Wikidata/extensions/Wikibase/repo/includes/EditEntity.php(264): Wikibase\Lib\Store\WikiPageEntityRevisionLookup->getEntityRevision()
#1 /srv/mediawiki/php-1.26wmf9/extensions/Wikidata/extensions/Wikibase/repo/includes/EditEntity.php(612): Wikibase\EditEntity->getLatestRevision()
#2 /srv/mediawiki/php-1.26wmf9/extensions/Wikidata/extensions/Wikibase/repo/includes/api/ApiWikibase.php(435): Wikibase\EditEntity->attemptSave()
#3 /srv/mediawiki/php-1.26wmf9/extensions/Wikidata/extensions/Wikibase/repo/includes/api/ModifyClaim.php(68): Wikibase\Api\ApiWikibase->attemptSaveEntity()
#4 /srv/mediawiki/php-1.26wmf9/extensions/Wikidata/extensions/Wikibase/repo/includes/api/SetClaim.php(88): Wikibase\Api\ModifyClaim->saveChanges()
#5 /srv/mediawiki/php-1.26wmf9/includes/api/ApiMain.php(1130): Wikibase\Api\SetClaim->execute()
#6 /srv/mediawiki/php-1.26wmf9/includes/api/ApiMain.php(469): ApiMain->executeAction()
#7 /srv/mediawiki/php-1.26wmf9/includes/api/ApiMain.php(442): ApiMain->executeActionWithErrorHandling()
#8 /srv/mediawiki/php-1.26wmf9/api.php(88): ApiMain->execute()

aude renamed this task from UnresolvedRedirectException from line 87 of WikiPageEntityRevisionLookup.php to [Bug] UnresolvedRedirectException from line 87 of WikiPageEntityRevisionLookup.php.Aug 14 2015, 9:00 AM
aude set Security to None.
aude added a comment.Aug 14 2015, 9:06 AM

still happens....

/w/api.php Wikibase\Lib\Store\UnresolvedRedirectException from line 87 of /srv/mediawiki/php-1.26wmf17/extensions/Wikidata/extensions/Wikibase/lib/includes/store/sql/WikiPageEntityRevisionLookup.php: Unresolved redirect to Q607715 {"exception":"[Exception Wikibase\\Lib\\Store\\UnresolvedRedirectException] (/srv/mediawiki/php-1.26wmf17/extensions/Wikidata/extensions/Wikibase/lib/includes/store/sql/WikiPageEntityRevisionLookup.php:87) Unresolved redirect to Q607715\n[stacktrace]\n#0 /srv/mediawiki/php-1.26wmf17/extensions/Wikidata/extensions/Wikibase/repo/includes/EditEntity.php(264): Wikibase\\Lib\\Store\\WikiPageEntityRevisionLookup->getEntityRevision(Wikibase\\DataModel\\Entity\\ItemId, string)\n#1 /srv/mediawiki/php-1.26wmf17/extensions/Wikidata/extensions/Wikibase/repo/includes/EditEntity.php(612): Wikibase\\EditEntity->getLatestRevision()\n#2 /srv/mediawiki/php-1.26wmf17/extensions/Wikidata/extensions/Wikibase/repo/includes/api/EntitySavingHelper.php(111): Wikibase\\EditEntity->attemptSave(string, integer, string)\n#3 /srv/mediawiki/php-1.26wmf17/extensions/Wikidata/extensions/Wikibase/repo/includes/api/ModifyEntity.php(165): Wikibase\\Repo\\Api\\EntitySavingHelper->attemptSaveEntity(Wikibase\\DataModel\\Entity\\Item, string, integer)\n#4 /srv/mediawiki/php-1.26wmf17/extensions/Wikidata/extensions/Wikibase/repo/includes/api/ModifyEntity.php(455): Wikibase\\Repo\\Api\\ModifyEntity->attemptSaveEntity(Wikibase\\DataModel\\Entity\\Item, Wikibase\\Summary, integer)\n#5 /srv/mediawiki/php-1.26wmf17/includes/api/ApiMain.php(1126): Wikibase\\Repo\\Api\\ModifyEntity->execute()\n#6 /srv/mediawiki/php-1.26wmf17/includes/api/ApiMain.php(465): ApiMain->executeAction()\n#7 /srv/mediawiki/php-1.26wmf17/includes/api/ApiMain.php(438): ApiMain->executeActionWithErrorHandling()\n#8 /srv/mediawiki/php-1.26wmf17/api.php(88): ApiMain->execute()\n#9 /srv/mediawiki/w/api.php(3): include(string)\n#10 {main}\n"}

aude added a comment.EditedAug 4 2016, 12:33 AM

still happens, though in a different place...

Warning: Encountered a UnresolvedRedirectException when trying to load Q19856755 [Called from Wikibase\Client\DataAccess\Scribunto\EntityAccessor::getEntity in /srv/mediawiki/php-1.28.0-wmf.13/extensions/Wikidata/extensions/Wikibase/client/includes/DataAccess/Scribunto/EntityAccessor.php at line 139] in /srv/mediawiki/php-1.28.0-wmf.13/includes/debug/MWDebug.php on line 309

code says "We probably hit a double redirect" and it's just a warning

Krinkle moved this task from Untriaged to Found longer ago on the Wikimedia-production-error board.
Krinkle added subscribers: mmodell, Krinkle, PokestarFan.

Still seen on 1.32.0-wmf.23, e.g..

[W6u7jwrAEG8AAJ9ZM1cAAABO] /w/api.php Wikibase\Lib\Store\RevisionedUnresolvedRedirectException from line 127 of /srv/mediawiki/php-1.32.0-wmf.23/extensions/Wikibase/lib/includes/Store/Sql/WikiPageEntityRevisionLookup.php: Unresolved redirect to Q17532667

Change 471194 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/WikibaseQualityConstraints@master] ValueTypeChecker: Handle unresolved redirects

https://gerrit.wikimedia.org/r/471194

Addshore updated the task description. (Show Details)Nov 7 2018, 12:05 PM

Change 471202 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] EditEntity::attemptSave: Fail (don't throw) on redirect

https://gerrit.wikimedia.org/r/471202

Change 471194 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] ValueTypeChecker: Handle unresolved redirects

https://gerrit.wikimedia.org/r/471194

Change 473719 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add ExceptionIgnoringEntityLookup

https://gerrit.wikimedia.org/r/473719

daniel removed a subscriber: daniel.Nov 15 2018, 12:16 PM

Change 471202 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] EditEntity::attemptSave: Fail (don't throw) on redirect

https://gerrit.wikimedia.org/r/471202

Change 473719 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add ExceptionIgnoringEntityLookup

https://gerrit.wikimedia.org/r/473719

This now affects Wikimedia Commons as well, and seemingly more frequent there than on Wikidata.org.

Recent sample:

PHP Warning: Encountered a UnresolvedRedirectException when trying to load Q60778842 [Called from Wikibase\Client\DataAccess\Scribunto\EntityAccessor::getEntity in /srv/mediawiki/php-1.33.0-wmf.16/extensions/Wikibase/client/includes/DataAccess/Scribunto/EntityAccessor.php at line 153]
#3 /srv/mediawiki/php-1.33.0-wmf.16/extensions/Wikibase/client/includes/DataAccess/Scribunto/EntityAccessor.php(153): wfLogWarning(string)
#4 /srv/mediawiki/php-1.33.0-wmf.16/extensions/Wikibase/client/includes/DataAccess/Scribunto/Scribunto_LuaWikibaseLibrary.php(393): Wikibase\Client\DataAccess\Scribunto\EntityAccessor->getEntity(string)
#5 /srv/mediawiki/php-1.33.0-wmf.16/extensions/Scribunto/includes/engines/LuaSandbox/Engine.php(393): Wikibase\Client\DataAccess\Scribunto\Scribunto_LuaWikibaseLibrary->getEntity(string)
#6 [internal function]: Scribunto_LuaSandboxCallback->__call(string, array)
#7 /srv/mediawiki/php-1.33.0-wmf.16/extensions/Scribunto/includes/engines/LuaSandbox/Engine.php(316): LuaSandboxFunction->call(LuaSandboxFunction)
#8 /srv/mediawiki/php-1.33.0-wmf.16/extensions/Scribunto/includes/engines/LuaCommon/LuaCommon.php(296): Scribunto_LuaSandboxInterpreter->callFunction(LuaSandboxFunction, LuaSandboxFunction)
#9 /srv/mediawiki/php-1.33.0-wmf.16/extensions/Scribunto/includes/engines/LuaCommon/LuaCommon.php(982): Scribunto_LuaEngine->executeFunctionChunk(LuaSandboxFunction, PPTemplateFrame_Hash)
#10 /srv/mediawiki/php-1.33.0-wmf.16/extensions/Scribunto/includes/common/Hooks.php(128): Scribunto_LuaModule->invoke(string, PPTemplateFrame_Hash)
#11 /srv/mediawiki/php-1.33.0-wmf.16/includes/parser/Parser.php(3515): ScribuntoHooks::invokeHook(Parser, PPTemplateFrame_Hash, array)
#12 /srv/mediawiki/php-1.33.0-wmf.16/includes/parser/Parser.php(3222): Parser->callParserFunction(PPTemplateFrame_Hash, string, array)
#13 /srv/mediawiki/php-1.33.0-wmf.16/includes/parser/Preprocessor_Hash.php(1114): Parser->braceSubstitution(array, PPTemplateFrame_Hash)
#14 /srv/mediawiki/php-1.33.0-wmf.16/includes/parser/Parser.php(3396): PPFrame_Hash->expand(PPNode_Hash_Tree)
#15 /srv/mediawiki/php-1.33.0-wmf.16/includes/parser/Preprocessor_Hash.php(1114): Parser->braceSubstitution(array, PPFrame_Hash)
#16 /srv/mediawiki/php-1.33.0-wmf.16/includes/parser/Parser.php(3036): PPFrame_Hash->expand(PPNode_Hash_Tree, integer)
#17 /srv/mediawiki/php-1.33.0-wmf.16/includes/parser/Parser.php(1354): Parser->replaceVariables(string)
#18 /srv/mediawiki/php-1.33.0-wmf.16/includes/parser/Parser.php(482): Parser->internalParse(string)
#19 /srv/mediawiki/php-1.33.0-wmf.16/includes/content/WikitextContent.php(369): Parser->parse(string, Title, ParserOptions, boolean, boolean, integer)
#20 /srv/mediawiki/php-1.33.0-wmf.16/includes/content/AbstractContent.php(555): WikitextContent->fillParserOutput(Title, integer, ParserOptions, boolean, ParserOutput)
#21 /srv/mediawiki/php-1.33.0-wmf.16/includes/Revision/RenderedRevision.php(266): AbstractContent->getParserOutput(Title, integer, ParserOptions, boolean)
#22 /srv/mediawiki/php-1.33.0-wmf.16/includes/Revision/RenderedRevision.php(234): MediaWiki\Revision\RenderedRevision->getSlotParserOutputUncached(WikitextContent, boolean)
#23 /srv/mediawiki/php-1.33.0-wmf.16/includes/Revision/RevisionRenderer.php(193): MediaWiki\Revision\RenderedRevision->getSlotParserOutput(string)
#24 /srv/mediawiki/php-1.33.0-wmf.16/includes/Revision/RevisionRenderer.php(142): MediaWiki\Revision\RevisionRenderer->combineSlotOutput(MediaWiki\Revision\RenderedRevision, array)
#25 [internal function]: Closure$MediaWiki\Revision\RevisionRenderer::getRenderedRevision#2(MediaWiki\Revision\RenderedRevision, array)
#26 /srv/mediawiki/php-1.33.0-wmf.16/includes/Revision/RenderedRevision.php(197): call_user_func(Closure$MediaWiki\Revision\RevisionRenderer::getRenderedRevision#2;982, MediaWiki\Revision\RenderedRevision, array)
#27 /srv/mediawiki/php-1.33.0-wmf.16/includes/poolcounter/PoolWorkArticleView.php(194): MediaWiki\Revision\RenderedRevision->getRevisionParserOutput()
#28 /srv/mediawiki/php-1.33.0-wmf.16/includes/poolcounter/PoolCounterWork.php(123): PoolWorkArticleView->doWork()
#29 /srv/mediawiki/php-1.33.0-wmf.16/includes/page/Article.php(774): PoolCounterWork->execute()
#30 /srv/mediawiki/php-1.33.0-wmf.16/includes/page/ImagePage.php(148): Article->view()
#31 /srv/mediawiki/php-1.33.0-wmf.16/includes/actions/ViewAction.php(68): ImagePage->view()
#32 /srv/mediawiki/php-1.33.0-wmf.16/includes/MediaWiki.php(501): ViewAction->show()
#33 /srv/mediawiki/php-1.33.0-wmf.16/includes/MediaWiki.php(294): MediaWiki->performAction(ImagePage, Title)
#34 /srv/mediawiki/php-1.33.0-wmf.16/includes/MediaWiki.php(862): MediaWiki->performRequest()
#35 /srv/mediawiki/php-1.33.0-wmf.16/includes/MediaWiki.php(517): MediaWiki->main()
#36 /srv/mediawiki/php-1.33.0-wmf.16/index.php(42): MediaWiki->run()
greg added a project: Multimedia.Mar 7 2019, 10:59 PM
Ramsey-WMF moved this task from Untriaged to Tracking on the Multimedia board.Mar 15 2019, 5:55 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptAug 10 2019, 11:55 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:12 PM
Krinkle renamed this task from [Bug] UnresolvedRedirectException from line 87 of WikiPageEntityRevisionLookup.php to UnresolvedRedirectException "Unresolved redirect to Q…" from WikiPageEntityRevisionLookup.php.Sat, Oct 12, 10:35 PM
Krinkle updated the task description. (Show Details)
Krinkle edited Stack Trace. (Show Details)
Krinkle added a project: Wikidata-Campsite.